# Generated by Django 3.0.3 on 2020-10-09 14:51

from django.db import migrations


def migrate_tipo_comunidade(apps, schema_editor):
    Territorio = apps.get_model('main', 'Territorio')
    for territorio in Territorio.objects.all():
        if territorio.tipo_comunidade is not None:
            territorio.tipos_comunidade.add(territorio.tipo_comunidade)
            territorio.tipo_comunidade = None
            territorio.save()


class Migration(migrations.Migration):
    dependencies = [
        ('main', '0034_territorio_tipos_comunidade'),
    ]

    operations = [
        migrations.RunPython(migrate_tipo_comunidade),
    ]
